<div id="O__clockDisplay"></div>
<script>
var O__month = ["Jan.","Feb.","Mar.","Apr.","May","Jun.","Jul.","Aug.","Sep.","Oct.","Nov.","Dec."];
var O__hour = ["12","01","02","03","04","05","06","07","08","09","10","11","12","01","02","03","04","05","06","07","08","09","10","11"];

function O__tickTock(O__targetArea){
	var O__AMorPM = "AM";
	var O__clock = new Date();
	var O__minute = O__clock.getMinutes();
	var O__second = O__clock.getSeconds();
	if(O__clock.getHours()>11){O__AMorPM = "PM"}; 
	if(O__minute<10){ O__minute = "0" + O__minute };
	if(O__second<10){ O__second = "0" + O__second };
	var O__assembleDate = O__month[O__clock.getMonth()] + " " + O__clock.getDate() + ", " + O__clock.getFullYear();
	var O__assembleTime = O__hour[O__clock.getHours()] + ":" + O__minute + ":" + O__second + " " + O__AMorPM;
	document.getElementById(O__targetArea).innerHTML = O__assembleDate + "<br />" + O__assembleTime;	
	var O__tickTockTimeout = setTimeout("O__tickTock('"+O__targetArea+"');", 1000);
}

O__tickTock("O__clockDisplay");
</script>
